﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Delete-MSSQL.aspx.cs" Inherits="_DeleteSql" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>DELETE in MS SQL</title>
</head>
<body>
    <form id="form1" runat="server">
        <h1>DELETE a post in MS SQL when it is just one ID on the page</h1>
        When this pages loads we get a UserID that is supplied to the textbox "txtUserID", when the user
        clicks the button below this user will be deleted from the Users table.<br />
        <br />
        <asp:Button ID="DeletOnePostButton" runat="server" Text="Delete the user" OnClick="DeletOnePostButton_Click" /><br />
        <br />
        
        <h1>DELETE many posts in MS SQL according to entered value</h1>
        When the user has entered a year and clicked the "Delete cars" button all the cars with
        this year in the Cars table will be deleted.<br />
        <br />
        Enter year:<asp:TextBox ID="txtCarYear" runat="server"></asp:TextBox>
        <asp:Button ID="DeleteCarsButton" runat="server" Text="Delete cars" OnClick="DeleteCarsButton_Click" /><br />
        <br />
        
        <h1>DELETE a post in MS SQL from a row in a GridView</h1>
        When the user wants to delete a post he click the "Del" button and then a e.command is sent to the codepage where a
        DELETE statement deletes the post in the database table.<br />
        <br />
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="RevisionID"
            DataSourceID="SqlDataSource1" OnRowCommand="GridView1_RowCommand" CellPadding="4" CellSpacing="1" ForeColor="#333333" GridLines="None" AllowPaging="True" AllowSorting="True">
            <Columns>
                <asp:BoundField DataField="RevisionID" HeaderText="File ID" InsertVisible="False" ReadOnly="True" 
                    SortExpression="RevisionID" />
                <asp:BoundField DataField="Company" HeaderText="Company" SortExpression="Company"></asp:BoundField>
                <asp:BoundField DataField="StartDate" HeaderText="Start date" SortExpression="StartDate" DataFormatString="{0:yyyy-MM-dd}" />
                <asp:BoundField DataField="EndDate" HeaderText="End date" SortExpression="Date" DataFormatString="{0:yyyy-MM-dd}" />
                <asp:BoundField DataField="Date" HeaderText="Created" SortExpression="Date" DataFormatString="{0:yyyy-MM-dd}" />
                <asp:TemplateField HeaderText="XBRL-files" ShowHeader="False">
                    <ItemTemplate>
                        <asp:LinkButton ID="Download" runat="server" CausesValidation="false" CommandName="Download" CommandArgument='<%# Bind("URL") %>' Text="Download"></asp:LinkButton>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Delete" ShowHeader="False">
                    <ItemTemplate>
                    <div style="text-align:center">
                        <asp:ImageButton ID="DeleteButton" ImageUrl="~/deletebutton.png" runat="server" CausesValidation="false"  CommandName="Delete" CommandArgument='<%# Bind("URL") %>'/>
                    </div>
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <RowStyle BackColor="#E3EAEB" />
            <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <PagerStyle BackColor="#505C52" Font-Bold="True" ForeColor="White" />
            <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
            <HeaderStyle BackColor="#505C52" BorderColor="Black" BorderWidth="2px" Font-Size="14px" ForeColor="White" />
            <EditRowStyle BackColor="#7C6F57" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            SelectCommand="SELECT * FROM Revision WHERE (UserID = @UserID) ORDER BY RevisionID ASC"
            DeleteCommand="DELETE FROM XML-files WHERE FileID = @FileID">
            <SelectParameters>
                <asp:ControlParameter ControlID="txtUserID" Name="UserID" PropertyName="Text"
                    Type="String" />
            </SelectParameters>
        </asp:SqlDataSource>
        <asp:TextBox ID="txtUserID" runat="server" Visible="False"></asp:TextBox>
        <br />
    </form>
</body>
</html>
